JSVC(1)

NAME
jsvc - application to launch java daemon

SYNOPSIS

jsvc [-jvm JVM name] [-client client JVM] [-server server JVM] [-classpath path] [-cp path] [-java-home directory] [-version] [-help] [-?] [-nodetach] [-debug] [-check] [-user user] [-wait waittime] [-umask mask] [-stop] [-verbose:class|gc|jni] [-outfile /full/path/to/file] [-errfile /full/path/to/file] [-pidfile /full/path/to/file] [-Dproperty=value] [-Xoption]

DESCRIPTION

jsvc executes classfile that implements a Daemon interface.

OPTIONS

-jvm JVM name
    use a specific Java Virtual Machine.

-client client JVM
    use a client Java Virtual Machine.

-server server JVM
    use a server Java Virtual Machine.

-cp/ -classpath directory and zip/jar files
    set search path for service classes and resouces

-java-home directory
    set the path of your JDK or JRE installation (or set the JAVA_HOME environment variable)

-version
    show the current Java environment version (to check correctness of -home and -jvm. Implies -nodetach)

-help
    show this help page (implies -nodetach)

-nodetach
    don't detach from parent process and become a daemon

-debug
    verbosely print debugging information

-check
    only check service (implies -nodetach)

-stop
    stop the service using the file given in the -pidfile option

-wait waittime
    wait up to waittime seconds for the service to start waittime should multiple of 10 (min=10)

-umask mask
    sets the file mode creation mask

-user user
    user used to run the daemon (defaults to current user)

-verbose[:class|gc|jni]
    enable verbose output

-outfile /full/path/to/file
    Location for output from stdout (defaults to /dev/null). Use the value '&2' to simulate '1>&2', or 'SYSLOG' to send output to the system log.

-errfile /full/path/to/file
    Location for output from stderr (defaults to /dev/null). Use the value '&1' to simulate '2>&1', or 'SYSLOG' to send output to the system log.

-pidfile /full/path/to/file
    Location for output from the file containing the pid of jsvc (defaults to /var/run/jsvc.pid)

-D<name>=<value>
    set a Java system property

-X<option>
    set Virtual Machine specific option

AUTHOR

JSVC is part of the Apache Commons Daemon project. Authors are Jean-Frederic Clere, Remy Maucherat, Yoav Shapira, Bill Barker, Mladen Turk. JSVC is released under the Apache License Version 2.0.